<?php
namespace Ak\Mailchimp\Entity\MailingList;

/**
 * Zadane postavke novih kampanja za povezanu mailing listu.
 *
 * @package Ak\Mailchimp\Entity\MailingList
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class CampaignDefaults
{
    /** @var string */
    private $from_name;
    /** @var string */
    private $from_email;
    /** @var string */
    private $subject;
    /** @var string */
    private $language;

    /**
     * @return string
     */
    public function getFromName(): string
    {
        return $this->from_name ?? '';
    }

    /**
     * @param string $from_name
     */
    public function setFromName(string $from_name): void
    {
        $this->from_name = $from_name;
    }

    /**
     * @return string
     */
    public function getFromEmail(): string
    {
        return $this->from_email ?? '';
    }

    /**
     * @param string $from_email
     */
    public function setFromEmail(string $from_email): void
    {
        $this->from_email = $from_email;
    }

    /**
     * @return string
     */
    public function getSubject(): string
    {
        return $this->subject ?? '';
    }

    /**
     * @param string $subject
     */
    public function setSubject(string $subject): void
    {
        $this->subject = $subject;
    }

    /**
     * @return string
     */
    public function getLanguage(): string
    {
        return $this->language ?? '';
    }

    /**
     * @param string $language
     */
    public function setLanguage(string $language): void
    {
        $this->language = $language;
    }
}