<?php
namespace Ak\Mailchimp\Entity\MailingList\Member;

/**
 * Lokacija pretplatnika liste.
 *
 * @package Ak\Mailchimp\Entity\MailingList\Member
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class Location
{
    /** @var float */
    private $latitude;
    /** @var float */
    private $longitude;
    /** @var int */
    private $gmtoff;
    /** @var int */
    private $dstoff;
    /** @var string */
    private $country_code;
    /** @var string */
    private $timezone;

    /**
     * @return float
     */
    public function getLatitude(): float
    {
        return $this->latitude;
    }

    /**
     * @param float $latitude
     */
    public function setLatitude(float $latitude): void
    {
        $this->latitude = $latitude;
    }

    /**
     * @return float
     */
    public function getLongitude(): float
    {
        return $this->longitude;
    }

    /**
     * @param float $longitude
     */
    public function setLongitude(float $longitude): void
    {
        $this->longitude = $longitude;
    }

    /**
     * @return int
     */
    public function getGmtoff(): int
    {
        return $this->gmtoff;
    }

    /**
     * @return int
     */
    public function getDstoff(): int
    {
        return $this->dstoff;
    }

    /**
     * @return string
     */
    public function getCountryCode(): string
    {
        return $this->country_code;
    }

    /**
     * @return string
     */
    public function getTimezone(): string
    {
        return $this->timezone;
    }
}