<?php
namespace Ak\Mailchimp\Hydrator\Entity\MailingList\Member;

use Ak\Hydrator\ReadOnlyHydrator;
use Laminas\Hydrator\Strategy\DateTimeFormatterStrategy;

/**
 * Hidrira bilješke uz pretplatnika liste.
 *
 * @package Ak\Mailchimp\Hydrator\Entity\MailingList\Member
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class NoteHydrator extends ReadOnlyHydrator
{
    /**
     * Konstruktor.
     */
    public function __construct()
    {
        parent::__construct();

        $this->addStrategy('created_at', new DateTimeFormatterStrategy(\DateTime::ISO8601));
    }
}
